Package org.eclipse.m2m.atl.debug.core.adwp

# Class StringValue

java.lang.Object
org.eclipse.m2m.atl.debug.core.adwp.Value
org.eclipse.m2m.atl.debug.core.adwp.StringValue

public final class StringValue extends Value
The String implementation of the debugger value.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
`String`
`toString()`
`static StringValue`
`valueOf(String stringValue)`
Converts a string into a `StringValue`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getValue

public String getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### valueOf

public static StringValue valueOf(String stringValue)
Converts a string into a `StringValue`.

Parameters:
  `stringValue` - the string
Returns:
  the `StringValue`